import TabScriptService from "./application/TabScriptService";
import ChromeBackgroundMessageService from "./_infra/ChromeBackgroundMessageService";
import ChromeBackgroundService from "./_infra/ChromeBackgroundMessageService";
import ChromeExtensionCommunicationService from "./_infra/ChromeExtensionCommunicationService";
import HandlerOfMessageSentByBackground from "./_ui/HandlerOfMessageSentByBackground";
import ViewManager from "./_ui/ViewManager";

console.log("AIFEX script is running.")

const backgroundService = new ChromeBackgroundMessageService();
const tabScriptService = new TabScriptService(backgroundService);
const viewManager = new ViewManager(tabScriptService);
tabScriptService.linkToViewManager(viewManager);
const handler = new HandlerOfMessageSentByBackground(tabScriptService, new ChromeExtensionCommunicationService());
tabScriptService.synchronizeWithBackground();


    
    
//    eventListener.addNewActionCallback(() => styleApplication.onActionPushed);
